﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.Primitives;
using ListWithCustomItems.Properties;
using System.Diagnostics;

namespace ListWithCustomItems
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void radListControl1_CreatingVisualListItem(object sender, Telerik.WinControls.UI.CreatingVisualListItemEventArgs args)
        {

        }

        private void radListControl1_VisualItemFormatting(object sender, Telerik.WinControls.UI.VisualItemFormattingEventArgs args)
        {
            
            RadListVisualItem visualItem = args.VisualItem;
            Debug.WriteLine("Now formatting item " + visualItem.Text);
            if (visualItem.Children.Count == 0)
            {
                visualItem.Children.Add(new ImagePrimitive());
            }

            visualItem.ImageLayout = ImageLayout.None;
            visualItem.ImageAlignment = ContentAlignment.MiddleLeft;            
            visualItem.Image = Resources.Icon3;
            
            
            ImagePrimitive imagePrimitive = (ImagePrimitive)visualItem.Children[0];
            imagePrimitive.Padding = new Padding(0, 0, 5, 0);
            imagePrimitive.Alignment = ContentAlignment.MiddleRight;
            imagePrimitive.Image = Resources.Icon;
            
        }
    }
}
